require 'timers'

module Pom
  class CLI < Thor
    include MidwireCommon

    default_task :work

    ########################################
    # work
    desc "work", "Start the work timer for 25 minutes."
    method_option :time,
                  :aliases  => "-t",
                  :type     => :string,
                  :desc     => "Amount of time.",
                  :default  => '25:00'

    def work
      say "Start working now..."
      timers = Timers.new
      ptimer = timers.after(TimeTool.time_to_seconds(options[:time])) do
        say "Time for a break."
        `say -v Alex "Time for a break."`
      end
      timers.wait
    end

    ########################################
    # break
    desc "break", "Start the break timer for 5 minutes."
    method_option :time,
                  :aliases  => "-t",
                  :type     => :string,
                  :desc     => "Amount of time.",
                  :default  => '5:00'

    def break
      say "Start your break now..."
      timers = Timers.new
      ptimer = timers.after(TimeTool.time_to_seconds(options[:time])) do
        say "Back to work."
        `say -v Alex "Back to work."`
      end
      timers.wait
    end
  end
end
