require File.dirname(__FILE__) + '/../spec_helper'

describe Pom::CLI do

  context "work" do
    it "should setup a work timer" do
      Timers.any_instance.should_receive(:after).once
      Timers.any_instance.should_receive(:wait).once
      cli = Pom::CLI.new
      cli.options = {:time => "00:01"}
      capture_stdout do
        cli.work
      end.string.should == "Start working now...\n"
    end
  end

  context "break" do
    it "should setup a break timer" do
      Timers.any_instance.should_receive(:after).once
      Timers.any_instance.should_receive(:wait).once
      cli = Pom::CLI.new
      cli.options = {:time => "00:01"}
      capture_stdout do
        cli.break
      end.string.should == "Start your break now...\n"
    end
  end

end
